# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiRaySwitchTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()

        self.beginScrollLayout()

        self.addCustom('message', 'AEshaderTypeNew', 'AEshaderTypeReplace')

        self.beginLayout("Ray类型", collapse=False)

        self.addControl('camera', label='摄像机')
        self.addControl('shadow', label='阴影')
        self.addControl('diffuseReflection', label='漫反射')
        self.addControl('specularReflection', label='镜面反射')
        self.addControl('diffuseTransmission', label='漫反射透射')
        self.addControl('specularTransmission', label='镜面透射')
        self.addControl('volume', label='体积')
        self.endLayout()
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        self.addExtraControls()
        self.endScrollLayout()
